Ubuntu

Dell Latitude E6520 (and E6220) do not reboot with 64 bit kernel

Reported by Achim Bohnet on 2011-08-25
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Leann Ogasawara
Natty
Medium
Leann Ogasawara
Oneiric
Medium
Leann Ogasawara

Bug Description

When one tries to reboot the Dell Latitude E6520 or E6220 with a 64 bit kernel from oneiric or natty it hangs at the very end of the shutdown sequence. The console output is:

...
...
* Will now restart
[ xxxx.yyyyyy] Restarting system.

Then nothing happens. One has to force power off.

with both life CDs:

* shutdown -r now
* system goes does
* CD is ejected and prompts appears to press ENTER. The 5 dots change from light to dark as usual.
* when one press' enter, nothing happens . The 5 dots stay was they are. No visual updates anymore
  (waited ~ 5 min)

One has to press power button for several seconds to force power off.

I verified that the bug exists with the following systems:

E6550: * (k)ubuntu natty and oneiric 64 bit installation
               * ubuntu and kubuntu 64bit natty life CDs

E6220: * kubuntu natty 64 bit installation

What did work is a 32bit ubuntu Natty life CD. Shutdown -r now rebooted the system properly

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image (not installed)
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
NonfreeKernelModules: openafs
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: allee-o 1910 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xe2e60000 irq 47'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:111d76e7,10280494,00100102 HDA:80862805,80860101,00100000'
   Controls : 27
   Simple ctrls : 13
Date: Thu Aug 25 13:39:09 2011
HibernationDevice: RESUME=UUID=1adc859c-3b71-4b73-9ce5-266d390bc1d8
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110717)
MachineType: Dell Inc. Latitude E6520
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-9-generic root=UUID=8100885a-a17e-4b9c-8ef0-76863ac9868b ro quiet splash vt.handoff=7
PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-9-generic N/A
 linux-backports-modules-3.0.0-9-generic N/A
 linux-firmware 1.60
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/24/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: 0NVF5K
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd05/24/2011:svnDellInc.:pnLatitudeE6520:pvr01:rvnDellInc.:rn0NVF5K:rvrA01:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6520
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Achim Bohnet (allee) wrote :
Brad Figg (brad-figg) on 2011-08-25
Changed in linux (Ubuntu):
status: New → Confirmed
Achim Bohnet (allee) on 2011-08-25
tags: added: natty
Achim Bohnet (allee) wrote :

Two more notes:

 * shutdown -h works fine. Turns system off. Only reboot hangs.

 * in BIOS the boot mode is leagacy (the default) not UEFI.

Julian Wiedmann (jwiedmann) wrote :

Upstream recently added reboot=pci quirks for E6320, E5420 and E6420.

Achim Bohnet (allee) wrote :

Hi Julian. Sounds great! Do you have an URL? Is it possible to try/force the quirk for E6[52]20 with something like pci.quirks=0x????:... as kernel boot param?

Julian Wiedmann (jwiedmann) wrote :

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-oneiric.git;a=commit;h=b7798d28ec15d20fd34b70fa57eb13f0cf6d1ecd seems like a good summary. Try passing 'reboot=pci' as a kernel parameter.

Achim Bohnet (allee) wrote :

reboot=pci fixes the 'always-hangs-on-reboot' of the Latitude E6520 with
natty (2.6.38-10) and oneiric (3.0.0-9) kernels.

As soon as the E6220 is back I'll test it also there.

Thx,
Achim

Hi Achim,

I've built a test kernel with reboot=pci quirk patches applied for the E6520 and E6220. If you could, please test on both of the affected systems and let me know your results.

http://people.canonical.com/~ogasawara/lp833705/

Changed in linux (Ubuntu):
assignee: nobody → Leann Ogasawara (leannogasawara)
importance: Undecided → Medium
status: Confirmed → In Progress
Achim Bohnet (allee) wrote :

Hi Leann,

Summary: fixed the problem on E6520. Test E6220 when it's back in the Institute

Achim

I've tested your kernel with the Latitude E6520

root@lap-allee:~# uname -a
Linux lap-allee 3.0.0-10-generic #15~lp833705v1 SMP Fri Aug 26 14:40:17 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

and it reboots fine without reboot=pci on the cmdline:

root@lap-allee:~# cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.0.0-10-generic root=UUID=8100885a-a17e-4b9c-8ef0-76863ac9868b ro quiet splash vt.handoff=7

Thanks Achim. Just curious how soon the the E6220 will be back in your possession to test? I'd like to send both patches upstream at the same time, but would like confirmation on the E6220 before I do. Thanks.

Achim Bohnet (allee) wrote :

I've sent him an e-mail to ask him when he's back from the conference.

Achim

Achim Bohnet (allee) wrote :

Hi Leann,
he'll be back with the laptop in two weeks, Mo, Sep 12th. So before I can't verify the E6220 patch.

As canonical certified the E6220 maybe you can ask https://launchpad.net/~brendan-donegan
if he has access to the E6220 and can do a quick test.

Thanks Achim.

I'll go ahead and submit the patch for the E6520 upstream and to the Ubuntu kernel. Once I can confirm the patch for the E6220 I'll submit that one as well. If you're able to get access to the E6220 before I am, please test and let me know your results. Thanks.

Hi Achim,

So I submitted this patch upstream but got some pushback from one of the maintainers, "we are starting to have something close to a full Dell product catalog in the system. I think we need to come up with something more systematic...". So I've gone ahead and sent this to the Ubuntu kernel team mailing list for consideration to carry this patch until a more systematic solution can be found which upstream will accept.

https://lists.ubuntu.com/archives/kernel-team/2011-August/016886.html

In the mean time, I think it would also be better to open up a separate bug report for the E6220 reboot issue (feel free to assign me to the bug and reference this bug). The reason I say this is because the E6220 will require a different patch (albeit similar). And if the patch for the E6520 is accepted for the Ubuntu kernel, this bug will be autoclosed and I still want to ensure we have a bug open to track the issue for the E6220. Thanks.

Julian Wiedmann (jwiedmann) wrote :

Two cents:
is there any channel to Dell you could go through and talk to the right people? Apparently their Optiplex line requires the same quirk with every new model (see open bugs 800660, 768039, 818933).

Hi Julian,

Thanks for the note to the other bugs. Definitely seems like a growing concern. I'll raise this on the mailing list and see if there are any contacts at Dell we might be able to reach.

In the mean time, the quirk patch for the E6520 has been applied. Marking this Fix Committed.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (4.9 KiB)

This bug was fixed in the package linux - 3.0.0-10.16

---------------
linux (3.0.0-10.16) oneiric; urgency=low

  [ Andy Whitcroft ]

  * Revert "ubuntu: compcache -- follow changes to bd_claim/bd_release"
    - LP: #832694
  * Revert "ubuntu: compcache -- version 0.5.3"
    - LP: #832694
  * [Config] dropping compcache configuration options

  [ David Henningsson ]

  * SAUCE: ALSA: HDA: hdmi: Emit pcm device index for jack input devices

  [ Kees Cook ]

  * [Config] enable and enforce SECCOMP_FILTER on x86

  [ Leann Ogasawara ]

  * [Config] Update CONFIG_EFI_VARS enforcer check
  * [Config] Enable CONFIG_ECHO=m on powerpc
  * [Config] Enable CONFIG_ET131X=m on powerpc
  * [Config] Set CONFIG_FB_MATROX=m
  * [Config] Enable CONFIG_FB_UDL=m on powerpc
  * [Config] Set CONFIG_FB_VIRTUAL=n
  * [Config] Enable CONFIG_FB_VGA16=m on powerpc
  * [Config] Enable CONFIG_GPIO_MAX732X=m on arm
  * [Config] Enable CONFIG_GPIO_PCF857X=m on arm
  * [Config] Set CONFIG_HOTPLUG_PCI_FAKE=m
  * [Config] Enable CONFIG_HOTPLUG_PCI=y on powerpc
  * [Config] Enable CONFIG_HOTPLUG_PCI_CPCI=y on powerpc
  * [Config] Enable CONFIG_HP_ILO=m on powerpc-smp
  * [Config] Enable CONFIG_I2C_PASEMI=m on powerpc
  * [Config] Enable CONFIG_IBM_BSR=m on powerpc
  * [Config] Enable CONFIG_IBMVETH=m on powerpc
  * [Config] Enable CONFIG_IDE_PHISON=m on powerpc
  * [Config] Enable CONFIG_IGB=m on powerpc
  * [Config] Enable CONFIG_IIO=m on powerpc
  * [Config] Enable CONFIG_INFINIBAND_NES=m
  * [Config] Enable CONFIG_IPMI_HANDLER=m on arm
  * [Config] Enable CONFIG_IWL3945=m on powerpc
  * [Config] Disable CONFIG_KVM_BOOK3S_64
  * [Config] Enable CONFIG_LAPBETHER=m on arm
  * [Config] Enable CONFIG_LEDS_GPIO=m on powerpc
  * [Config] Enable CONFIG_LEDS_CLEVO_MAIL=m all arch's
  * [Config] Enable CONFIG_LEDS_PCA9532=m on powerpc
  * [Config] Enable CONFIG_LEDS_PCA955X=m on powerpc
  * [Config] Enable CONFIG_LEDS_TRIGGER_DEFAULT_ON=m on powerpc
  * [Config] Set CONFIG_LEDS_TRIGGER_HEARTBEAT=m on arm and powerpc
  * [Config] Set CONFIG_LEDS_TRIGGER_TIMER=m on powerpc
  * [Config] Enable CONFIG_LINE6_USB=m on arm and powerpc
  * [Config] Enable CONFIG_MEMSTICK=m on arm
  * [Config] Enable CONFIG_MTD_AFS_PARTS=m on arm
  * [Config] Enable CONFIG_MTD_ALAUDA=m on arm
  * [Config] Enable CONFIG_MTD_AR7_PARTS=m on arm
  * [Config] Enable CONFIG_MTD_ARM_INTEGRATOR=m on arm
  * [Config] Enable CONFIG_MOXA_SMARTIO=m on powerpc
  * [Config] Enable CONFIG_MTD_DATAFLASH=m on arm
  * [Config] Enable CONFIG_MTD_GPIO_ADDR=m on arm
  * [Config] Enable CONFIG_MTD_IMPA7=m on arm
  * [Config] Enable CONFIG_MTD_NAND_GPIO=m on arm
  * [Config] Enable CONFIG_MTD_NAND_NANDSIM=m on arm
  * [Config] Enable CONFIG_MTD_NAND_PASEMI=m on powerpc
  * [Config] Enable CONFIG_MTD_NAND_PLATFORM=m on arm
  * [Config] Enable CONFIG_MTD_NAND_TMIO=m on arm
  * [Config] Enable CONFIG_MTD_SST25L=m on arm
  * [Config] Enable CONFIG_NET_CLS_CGROUP=y on arm
  * [Config] Enable CONFIG_NET_CLS_FLOW=m on arm
  * [Config] Enable CONFIG_NET_CLS_U32=m on arm
  * [Config] Enable CONFIG_NET_DCCPPROBE=m on arm
  * [Config] Enable CONFIG_NET_SCH_INGRESS=m on arm
  * [Config] Enable CONFIG_NET_TCPPROBE=m on arm
  * [Config] Enable...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

As requested in bug 838402, I've built a Natty test kernel with the patch for the E6520 applied. Please test and let me know your results. I can then submit for Natty SRU. Thanks.

http://people.canonical.com/~ogasawara/lp833705/natty/

Changed in linux (Ubuntu Natty):
assignee: nobody → Leann Ogasawara (leannogasawara)
importance: Undecided → Medium
status: New → In Progress
Achim Bohnet (allee) wrote :

Great! Your patched natty kernel fixes the 64bit reboot problem for E6520.

Tested without reboot=pci on cmdline

  current natty 2.6.38.11.48 -> reboot hangs
  your patched 2.6.38.11.51~lp... -> reboots without problems

Thx,
Achim
P.S. I test the E6220 next week, when as soon as I can borrow the laptop again.

I've sent the Natty SRU request to the Ubuntu kernel team mailing list:

https://lists.ubuntu.com/archives/kernel-team/2011-September/017119.html

Applied to Natty, marking Natty nomination Fix Committed.

Changed in linux (Ubuntu Natty):
status: In Progress → Fix Committed
Clay Spencer (clip78) wrote :

The patched kernel also fixed the bug for me on an E6520. Thanks!

Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Natty in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
Achim Bohnet (allee) wrote :

Which natty kernel in proposed? I've add natty-propsed to sources.list. But apt-cache policy was not able to find
linux-image-2.6.38-11 or -12.

Achim

Hi Achim,

It should be the 2.6.38-12.51 kernel in the natty-proposed pocket which contains this fix. After adding natty-proposed to your sources.list, make sure to run sudo apt-get update.

https://launchpad.net/ubuntu/+source/linux/2.6.38-12.51

Achim Bohnet (allee) wrote :

Ah, I'd used the german archive mirror. It had not synced obviously.

E6520 reboots with the 2.6.38-12.51 kernel.
Therefore I've changed the tag to verification-done-natty.

Achim

tags: added: verification-done-natty
removed: verification-needed-natty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-12.51

---------------
linux (2.6.38-12.51) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #860832

  [ Alex Bligh ]

  * SAUCE: net/netfilter/nf_conntrack_netlink.c: fix Oops on container
    destroy
    - LP: #843892

  [ Jesse Sung ]

  * SAUCE: Unregister input device only if it is registered
    - LP: #839238

  [ Leann Ogasawara ]

  * SAUCE: x86: reboot: Make Dell Latitude E6220 use reboot=pci
    - LP: #838402
  * SAUCE: x86: reboot: Make Dell Latitude E6520 use reboot=pci
    - LP: #833705

  [ Ming Lei ]

  * SAUCE: fireware: add NO_MSI quirks for o2micro controller
    - LP: #801719

  [ Stefan Bader ]

  * [Config] Include all filesystem modules for virtual
    - LP: #761809

  [ Tim Gardner ]

  * [Config] kernel preparation cannot be parallelized
  * [Config] Linearize module/abi checks
  * [Config] Linearize and simplify tree preparation rules
  * [Config] Build kernel image in parallel with modules
  * [Config] Set concurrency for kmake invocations
  * [Config] Improve install-arch-headers speed
  * [Config] Fix binary-perarch dependencies
  * [Config] Removed stamp-flavours target
  * [Config] Serialize binary indep targets
  * [Config] Use build stamp directly
  * [Config] Restore prepare-% target
  * [Config] Fix binary-% build target

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: disable PCH ports if needed when disabling a CRTC"
    - LP: #814325, #838181
  * drm/i915: restore only the mode of this driver on lastclose (v2)
    - LP: #848687
  * cifs: fix possible memory corruption in CIFSFindNext, CVE-2011-3191
    - LP: #834135
    - CVE-2011-3191
  * befs: Validate length of long symbolic links, CVE-2011-2928
    - LP: #834124
    - CVE-2011-2928
  * gro: Only reset frag0 when skb can be pulled, CVE-2011-2723
    - LP: #844371
    - CVE-2011-2723
  * inet_diag: fix inet_diag_bc_audit(), CVE-2011-2213
    - LP: #838421
    - CVE-2011-2213
  * si4713-i2c: avoid potential buffer overflow on si4713, CVE-2011-2700
    - LP: #844370
    - CVE-2011-2700
  * Bluetooth: Prevent buffer overflow in l2cap config request,
    CVE-2011-2497
    - LP: #838423
    - CVE-2011-2497
  * crypto: Move md5_transform to lib/md5.c, CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * net: Compute protocol sequence numbers and fragment IDs using MD5,
    CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * x86, intel, power: Initialize MSR_IA32_ENERGY_PERF_BIAS
    - LP: #760131
  * x86, intel, power: Correct the MSR_IA32_ENERGY_PERF_BIAS message
    - LP: #760131
  * rt2x00: Serialize TX operations on a queue.
    - LP: #855239
  * ext4: Fix max file size and logical block counting of extent format
    file, CVE-2011-2695
    - LP: #819574
    - CVE-2011-2695
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 27 Sep 2011 16:19:57 -0300

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers